/*
BIRTH INTERVAL DISTRIBUTION
DATA FROM MICS MAURITANIA
MARTIN SPIELAUER, 2016

Input Data: - m_mics_fertility.dta
*/

/*******************************************/
/* Settings and input file                 */
/*******************************************/

#delimit;
clear;
use m_mics_fertility.dta;
drop if M_B01 == .;

/*******************************************/
/* New Variables                           */
/*******************************************/

generate m_parity = 1;

replace m_parity = 2 if M_B02 != .; 
replace m_parity = 3 if M_B03 != .;
replace m_parity = 4 if M_B04 != .;
replace m_parity = 5 if M_B05 != .;
replace m_parity = 6 if M_B06 != .;
replace m_parity = 7 if M_B07 != .;
replace m_parity = 8 if M_B08 != .;
replace m_parity = 9 if M_B09 != .;
replace m_parity = 10 if M_B10 != .;
replace m_parity = 11 if M_B11 != .;
replace m_parity = 12 if M_B12 != .;
replace m_parity = 13 if M_B13 != .;
replace m_parity = 14 if M_B14 != .;

generate m_last = M_B01;

replace m_last = M_B02 if m_parity == 2;
replace m_last = M_B03 if m_parity == 3;
replace m_last = M_B04 if m_parity == 4;
replace m_last = M_B05 if m_parity == 5;
replace m_last = M_B06 if m_parity == 6;
replace m_last = M_B07 if m_parity == 7;
replace m_last = M_B08 if m_parity == 8;
replace m_last = M_B09 if m_parity == 9;
replace m_last = M_B10 if m_parity == 10;
replace m_last = M_B11 if m_parity == 11;
replace m_last = M_B12 if m_parity == 12;
replace m_last = M_B13 if m_parity == 13;
replace m_last = M_B14 if m_parity == 14;

generate m_interval = 0;

replace m_interval = M_INTERV - M_B01 if m_parity == 1;
replace m_interval = M_INTERV - M_B02 if m_parity == 2;
replace m_interval = M_INTERV - M_B03 if m_parity == 3;
replace m_interval = M_INTERV - M_B04 if m_parity == 4;
replace m_interval = M_INTERV - M_B05 if m_parity == 5;
replace m_interval = M_INTERV - M_B06 if m_parity == 6;
replace m_interval = M_INTERV - M_B07 if m_parity == 7;
replace m_interval = M_INTERV - M_B08 if m_parity == 8;
replace m_interval = M_INTERV - M_B09 if m_parity == 9;
replace m_interval = M_INTERV - M_B10 if m_parity == 10;
replace m_interval = M_INTERV - M_B11 if m_parity == 11;
replace m_interval = M_INTERV - M_B12 if m_parity == 12;
replace m_interval = M_INTERV - M_B13 if m_parity == 13;
replace m_interval = M_INTERV - M_B14 if m_parity == 14;

generate m_intinv = int(m_interval/12);
replace m_intinv = 12 if m_intinv > 12;


generate m_agegr = int((M_INTERV - M_BIRTH)/60);
tab m_agegr m_intinv if m_parity==1;

