/*
    CREATION OF STARTING POPULATIONS
	MARTIN SPIELAUER, 2016
	CENSUS 2013 12% SAMPLE
*/

/* ************************ */
/* DATA RESIDENT POPULATION */
/* ************************ */

clear all
#delimit; 
use "Microdata\m_census_residents.dta";

/* ************************ */
/* DISTRIBUTIONAL TABLE 	*/
/* ************************ */

gen M_NAGE = int(M_AGE);

tab M_NAGE M_POR [iweight=M_WEIGHT] if M_MALE == 0;
tab M_NAGE M_POR [iweight=M_WEIGHT] if M_MALE == 1;

/* ************************ */
/* RANDOM ORDER CSV FILE    */
/* ************************ */

gen M_RAND = runiform();
sort M_RAND;

/* Add a variable for most recent birth - valuses are set missing */
gen M_AGEBIR = .;

/*
classification PERSON_MICRODATA_COLUMNS         //EN fields in the microdata input file 
{
    PMC_WEIGHT,                                 //EN Weight
    PMC_BIRTH,                                  //EN Time of birth
    PMC_SEX,                                    //EN Sex
    PMC_PROVINCE,                               //EN Province
    PMC_EDUC,                                   //EN Education
    PMC_POB,                                    //EN Province of birth
    PMC_UNION,                                  //EN Union formation time
    PMC_PARITY,                                 //EN Number of births
    PMC_LASTBIR                                 //EN Time of last birth
};
*/

gen PMC_WEIGHT = M_WEIGHT;
gen PMC_BIRTH = 2013 - M_AGE;
gen PMC_SEX = M_MALE;
gen PMC_PROVINCE = M_POR;
gen PMC_EDUC = M_EDUC;
gen PMC_POB = M_POB;
gen PMC_UNION = 9999; replace PMC_UNION = PMC_BIRTH + M_AGEMAR if M_AGEMAR !=.;
gen PMC_PARITY = M_PARITY;
gen PMC_LASTBIR = 9999; replace PMC_LASTBIR = PMC_BIRTH + M_AGEBIR if M_AGEBIR !=.;

keep PMC_*;
export delimited using "Microdata\m_census_starting_population", novarnames nolabel replace;


