/*
    EMIGRATION
	MARTIN SPIELAUER, 2016
*/

/* ******************************** */
/* DATA: POPULATION INCL. EMIGRANTS */
/* ******************************** */

clear all
#delimit; 
use "Microdata\m_census_all_incl_emigrants.dta";

/* ******************************** */
/* VARIABLES                        */
/* ******************************** */

/* Age 12 months ago, drop if not born then */
gen m_age2012 = int(M_AGE)-1; drop if m_age2012 < 0;

/* 5 year age groups */
gen m_agegr = int(m_age2012 / 5) * 5;

/* identify emigrants */
gen m_emigrate = 0; replace m_emigrate = 1 if M_POR==13;

/* ******************************** */
/* ANALYSIS                         */
/* ******************************** */

tab m_agegr m_emigrate [iweight = M_WEIGHT] if M_MALE==0;
tab m_agegr m_emigrate [iweight = M_WEIGHT] if M_MALE==1;
