/*
    EDUCATION
	MARTIN SPIELAUER, 2016
*/

/* ************************* */
/* DATA: RESIDENT POPULATION */
/* ************************* */

clear all
#delimit; 
use "Microdata\m_census_residents.dta";

/* ************************* */
/* VARIABLES                 */
/* ************************* */

generate m_age = int(M_AGE);

generate m_any_educ = 0; replace m_any_educ = 1 if M_EDUC > 0;
generate m_progsec = 0;	replace m_progsec = 1 if M_EDUC == 2;


/* ************************* */
/* ANALYSIS                  */
/* ************************* */

/* Enter Primary */	

drop if m_age < 12;
drop if m_age > 32;
	
xi: logit m_any_educ i.M_POB m_age if M_MALE == 0 [iweight=M_WEIGHT];
xi: logit m_any_educ i.M_POB m_age if M_MALE == 1 [iweight=M_WEIGHT];

/* examples */

tab m_age m_any_educ if M_MALE == 0 & M_POB==1  [iweight=M_WEIGHT], row nofr;
tab m_age m_any_educ if M_MALE == 0 & M_POB==13 [iweight=M_WEIGHT], row nofr;
tab m_age m_any_educ if M_MALE == 1 & M_POB==1  [iweight=M_WEIGHT], row nofr;
tab m_age m_any_educ if M_MALE == 1 & M_POB==13 [iweight=M_WEIGHT], row nofr;

/* Finish Primary */

drop if m_age < 16;
drop if m_any_educ == 0;

xi: logit m_progsec i.M_POB m_age if M_MALE == 0 [iweight=M_WEIGHT];
xi: logit m_progsec i.M_POB m_age if M_MALE == 1 [iweight=M_WEIGHT];

/* examples */
tab m_age m_progsec if M_MALE == 0 & M_POB==1  [iweight=M_WEIGHT], row nofr;
tab m_age m_progsec if M_MALE == 0 & M_POB==13 [iweight=M_WEIGHT], row nofr;
tab m_age m_progsec if M_MALE == 1 & M_POB==1  [iweight=M_WEIGHT], row nofr;
tab m_age m_progsec if M_MALE == 1 & M_POB==13 [iweight=M_WEIGHT], row nofr;

