/* 
	EDUCATION MAURITANIA
	MARTIN SPIELAUER, 2016
	ANALYSIS AND CALCULATION OF INFLUENCE OF MOTHERS EDUCATION
	MICS 2011
*/

// DATA

clear
#delimit; 
set more off;
set linesize 255;
log using "C:\Users\pc\Desktop\usb_dynamiscmap\Log files\07_Education_Mics15_cmap.smcl", replace smcl;
use "C:\Users\pc\Desktop\usb_dynamiscmap\Bases\MICS2015\hl.dta" ;

// VARIABLES

gen m_weight=round(hhweight*55); // scaled to ~3.3 Mill;
gen m_age = HL6;
gen m_yob = HL5Y; drop if m_yob > 2011; 
gen m_male = 0; replace m_male = 1 if HL4==1;
gen m_willaya = HH7; label copy  HH7 m_willaya;	label values m_willaya m_willaya; 
 
gen m_primary=0;
	replace m_primary=ED4B if ED4B >= 1 & ED4B <=6 & ED4A == 1;
	replace m_primary=6 if ED4A > 1 & ED4A <= 4;
	
gen m_educ = 0; 
	replace m_educ = 0 if m_primary==0;
	replace m_educ = 1 if m_primary==0 & ED4A >= 5 & ED4A <= 6;
	replace m_educ = 2 if m_primary > 0;
	replace m_educ = 3 if m_primary == 6;
	label define l_educ	0 "non" 1 "coranique" 2 "start primary" 3 "finish primary+"; label values  m_educ l_educ; 

gen m_anyed = 0; replace m_anyed = 1 if m_educ > 1; 
gen m_seced = 0; replace m_seced = 1 if m_educ == 3; 

gen m_mamed = 0; 
	replace m_mamed = 1 if melevel==3;
	replace m_mamed = 2 if melevel==4;
	replace m_mamed = . if melevel==.;

keep m_*;

// ANALYSIS	
	
tab m_age m_educ [weight=m_weight] if m_age >= 10 & m_age <= 50;

// Models for entering primary ;

drop if m_age > 17;		// mother education not askd for older;
drop if m_age < 12; 

xi: logit m_anyed i.m_mamed i.m_willaya m_age if m_male == 0 [weight=m_weight];
xi: logit m_anyed i.m_mamed i.m_willaya m_age if m_male == 1 [weight=m_weight];


// Modles for finishing primary ;

drop if m_age < 16; 
drop if m_anyed == 0;

xi: logit m_seced i.m_mamed i.m_willaya m_age if m_male == 0 [weight=m_weight];
xi: logit m_seced i.m_mamed i.m_willaya m_age if m_male == 1 [weight=m_weight];

log close;

