/*
    FIRST UNION FORMATION - RECENT YEAR
	MARTIN SPIELAUER, 2016

	Period rates in past year of age.
	Females age 16+ (Thus union formations at ages 15+)
	For 16 year olds (this is where education is assumed to be known) all
	union formations up to age 15 count as union formation at age 15
	Data: 10% Sample of Census Mauritania 2013
*/

/* ************************* */
/* DATA: RESIDENT POPULATION */
/* ************************* */

clear all
#delimit; 
use "D:\Dropbox\WorldBank2016_MS\Census\m_census_residents.dta";

/*drop if M_AGE < 16;
drop if M_AGE > 51;
*/
drop if M_MALE == 1;



/* ************************* */
/* VARIABLES                 */
/* ************************* */

generate	m_event = 0;
replace		m_event = 1 if M_AGE - M_AGEMAR < 1;

generate	m_ageref = int(M_AGE-0.5);
replace		m_ageref = int(M_AGEMAR) if m_event == 1;
char 		m_ageref[omit]15;

drop if M_AGEMAR !=. & m_event==0;



* collaps higher ages;

replace m_ageref = 36 if m_ageref >= 36 & m_ageref <= 40;
replace m_ageref = 41 if m_ageref >= 41 & m_ageref <= 45;
replace m_ageref = 46 if m_ageref >= 46 ;

xi: logit m_event i.m_ageref [iweight=M_WEIGHT] if M_EDUC==0;
xi: logit m_event i.m_ageref [iweight=M_WEIGHT] if M_EDUC==1;
xi: logit m_event i.m_ageref [iweight=M_WEIGHT] if M_EDUC==2;




